package com.jeeplus.modules.sg.overheadline.service;

import com.jeeplus.common.utils.excel.ImportExcel;
import com.jeeplus.common.utils.sg.ExcelUtil;
import com.jeeplus.modules.sg.overheadline.entity.Settlement;
import com.jeeplus.modules.sg.overheadline.mapper.SettlementMapper;
import com.jeeplus.modules.sg.overheadline.util.BashInfo;
import com.jeeplus.modules.sg.overheadline.util.SettementUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import java.util.*;

@Service
public class SettlementService {
    @Autowired
    private SettlementMapper settlementMapper;

    /*
      添加结算工程表
   */
    @Transactional
    public void save(List<Settlement> settlements, double builtTotal, double[] divisiontotal, double wordtotal1,double wordtotal2, double otherTotal, double feescount,double cbperson,String id){
        List<Settlement> settlementList=SettementUtil.getComparison(settlements,builtTotal,divisiontotal,wordtotal1,wordtotal2,otherTotal,feescount,cbperson);
        for (Settlement settlement:settlementList){
            settlement.setId(id);
            settlementMapper.sava(settlement);
        }
    }
    /*
       查找结算工程
    */
    public List<Settlement> selectSettlementService(String id){
        return SettementUtil.getSelectSettlement(settlementMapper.selectSettlement(id));
    }

    public void delete(String id){
        settlementMapper.delete(id);
    }
}
